struct uint3 { unsigned int x, y, z; };
struct uint3 extern const threadIdx, blockIdx, blockDim;

__attribute__((global)) __attribute__((__used__)) void sum_kernel(float* a, float* b, float* c)
{
	int idx = threadIdx.x + blockIdx.x * blockDim.x;
	c[idx] = a[idx] + b[idx];
}

